package com.iamberry.app.core.dto;

import java.io.Serializable;

/**
 * 
 * @author Moon Cheng
 * @date 2016年3月2日 下午3:58:37
 */
public class RemoteIpInfoDTO  implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -7167368895211913777L;
	private int ret;
	private int start;
	private int end;
	private String country;
	private String province;
	private String city;
	private String district;
	private String isp;
	private String type;
	private String desc;

	public RemoteIpInfoDTO() {
		super();
	}

	public RemoteIpInfoDTO(int ret, int start, int end, String country, String province, String city, String district, String isp,
			String type, String desc) {
		super();
		this.ret = ret;
		this.start = start;
		this.end = end;
		this.country = country;
		this.province = province;
		this.city = city;
		this.district = district;
		this.isp = isp;
		this.type = type;
		this.desc = desc;
	}

	public int getRet() {
		return ret;
	}

	public void setRet(int ret) {
		this.ret = ret;
	}

	public int getStart() {
		return start;
	}

	public void setStart(int start) {
		this.start = start;
	}

	public int getEnd() {
		return end;
	}

	public void setEnd(int end) {
		this.end = end;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getDistrict() {
		return district;
	}

	public void setDistrict(String district) {
		this.district = district;
	}

	public String getIsp() {
		return isp;
	}

	public void setIsp(String isp) {
		this.isp = isp;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

}
